<?php
// Available languages
$AvailableLanguages = array(
	"cs|czech"				=>	"czech",
	"da|danish"				=>	"danish",
	"nl([-_][[:alpha:]]{2})?|dutch"		=>	"dutch",
	"el|greek"				=>	"greek",
	"en([-_][[:alpha:]]{2})?|english"	=>	"english",
	"fi|finnish"				=>	"finnish",
	"fr([-_][[:alpha:]]{2})?|french"	=>	"french",
	"de([-_][[:alpha:]]{2})?|german"	=>	"german",
	"hr|croatian"				=>	"croatian",
	"is|icelandic"				=>	"icelandic",
	"it|italian"				=>	"italian",
	"ja|jw|japanese"				=>	"japanese",
	"ko|korean"				=>	"korean",
	"no|norwegian"				=>	"norwegian",
	"pl|polish"				=>	"polish",
	"ro|romanian"				=>	"romanian",
	"ru|russian"				=>	"russian",
	"sk|slovak"				=>	"slovak",
	"sv|swedish"				=>	"swedish",
	"es([-_][[:alpha:]]{2})?|spanish"	=>	"spanish",
	"th|thai"				=>	"thai",
	"pt[-_]br"				=>	"brazilian_portuguese",
	"pt([-_][[:alpha:]]{2})?|portuguese"	=>	"portuguese",
	"zh[-_]tw"				=>	"chinese_traditional",
	"zh([-_][[:alpha:]]{2})?|chinese"	=>	"chinese_simplified"
);

function Detect($Str,$From)
{
	global $AvailableLanguages;
	global $L;

	$NotFound = true;
	reset($AvailableLanguages);
	while($NotFound && list($key, $name) = each($AvailableLanguages))
	{
		if (($From == 1 && eregi("^".$key."$",$Str)) || ($From == 2 && eregi("(\(|\[|;[[:space:]])".$key."(;|\]|\))",$Str)))
		{
			$L = $AvailableLanguages[$key];
			$NotFound = false;
		};
	};
}

// finds the appropriate language file
if (isset($HTTP_COOKIE_VARS)) $CookieLang = $HTTP_COOKIE_VARS["CookieLang"];
if ((isset($L) && $L != "") || C_MULTI_LANG == 0)
{
}	
elseif (isset($CookieLang) && file_exists("localization/".$CookieLang.".lang.php3"))
{
	$L = $CookieLang;
}
elseif (getenv("HTTP_ACCEPT_LANGUAGE") != "")
{	
	$Accepted = explode(",", getenv("HTTP_ACCEPT_LANGUAGE"));
	Detect($Accepted[0],1);
}
elseif (getenv("HTTP_USER_AGENT") != "")
{	
	Detect(getenv("HTTP_USER_AGENT"),2);
};

//if no language detected set default one
if (!isset($L))
{
	$parts = explode(".", C_LANG_FILE);
	$L = $parts[0];
};

//put language in a cookie
setcookie("CookieLang", $L, time() + 60*60*24*365);		// cookie expires in one year
?>